import { request } from 'umi';
import { api } from '../api'

/**
 * 分页获取账号列表
 * @returns 
 */
export interface GetAdAccountParams {
    pageNum: number,
    pageSize: number,
    groupId?: number,
    accountIds?: number[]
}
export async function getAdAccountListApi(data: GetAdAccountParams) {
    return request(api + '/adq/adAccount/accountList', {
        method: 'POST',
        data
    });
}

/**
 * 获取账号列表
 * @returns 
 */
export async function getAdAccountApi() {
    return request(api + '/adq/adAccount/allOfUser', {
        method: 'GET',
    });
}
/**
 * 获取账号列表
 * @returns 
 */
export async function putAdAccountApi(adAccountId: any,remark: any) {
    return request(api + `/adq/adAccount/modifyRemark/${adAccountId}/${encodeURIComponent(remark)}`, {
        method: 'PUT',
    });
}